/* Quick-login
--------------------------------------------- */

#quick-login-bg {
  display: none;
  position: fixed;
  background: #000000;
  opacity: 0.7;
  top: 0;
  left: 0;
  min-width: 100%;
  min-height: 100%;
  width: 100%;
  height: 100%;
  z-index: 49;
}

#quick-login-panel {
  box-sizing: border-box;
  display: none;
  position: fixed;
  margin: 0 auto;
  padding: 10px 15px;
  width: 380px;
  top: 25%;
  left: 0;
  right: 0;
  z-index: 50;
  border-radius: 7px;
  background-color: var(--base-bg);
}

#quick-login-panel .content {
  overflow: inherit;
  padding: 1px;
  position: relative;
}

#quick-login-panel h3 {
  text-align: center;
}

#quick-login-panel hr {
  margin: 10px 0;
}

#quick-login-panel .ql-options {
  margin: 5px auto 10px;
}

#quick-login-panel .ql-options span {
  vertical-align: middle;
}

#quick-login-panel .ql-oauth {
  font-weight: bold;
  margin: 0;
  text-align: center;
}

#quick-login-panel .close {
  position: absolute;
  right: -8px;
  top: -3px;
  width: 12px;
  height: 12px;
  /* opacity: 0.4; */
  padding: 10px;
}

#quick-login-panel .close:hover {
  opacity: 0.8;
}

@media only screen and (max-width: 700px), only screen and (max-device-width: 700px)
{
  #quick-login-panel {
    width: 320px;
  }
}

@media only screen and (max-width: 360px), only screen and (max-device-width: 360px)
{
  #quick-login-panel {
    width: auto;
  }
}

fieldset.ql-options div {
  margin-bottom: 3px;
}
